Bug 108680 - [LOCALHELP] Write help page for VBA function SYD
Summary: [LOCALHELP] Write help page for VBA function SYD
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: HelpGaps 84675
  Show dependency treegraph
 
Reported: 2017-06-21 13:31 UTC by Olivier Hallot
Modified: 2017-07-24 11:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File to serve as template for new page (5.17 KB, application/xml)
2017-06-21 13:31 UTC, Olivier Hallot
Details
File to serve as template for new page (4.68 KB, application/xml)
2017-06-23 11:40 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-06-21 13:31:44 UTC
Created attachment 134199 [details]
File to serve as template for new page

write help page for SYD VBA function.

Instructions

1) Install HelpAuthoring extension, put it in working condition
https://wiki.documentfoundation.org/Documentation/Help

2) download the attached help file, it will serve as template.

3) Change references of NPer to SYD, adjust parameters, check for the Basic example, check for the equivalent SYD Calc function (use same numbers, if necessary).

4) Set the l10n attribute to false on code pure lines and pure numbers to avoid useless translations.

5) Save and attach to this bug for verification and submission to gerrit

Notes: 
1) No need to touch the embedded files or variables

2) References for this function can be found at http://www.excelfunctions.net/vba-functions.html but DO NOT COPY CONTENT from it, instead create your own content based on information from CALC function SYD.

3) Parameters for SYD are listed in this document:
https://bug-attachments.documentfoundation.org/attachment.cgi?id=133095
Comment 1 Olivier Hallot 2017-06-23 11:40:23 UTC
Created attachment 134225 [details]
File to serve as template for new page
Comment 2 Commit Notification 2017-07-24 11:21:36 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=aef2d0a3117abf45df98b11342799097ec36d796

tdf#108680 Help page for VBA function SYD